Name: pcre
Version: 7.6
Release: alt1.M41.1

Summary: Perl-compatible regular expression library
License: BSD-style
Group: System/Libraries
Url: http://www.pcre.org/
Packager: Dmitry V. Levin <ldv@altlinux.org>

Source: ftp://ftp.csx.cam.ac.uk/pub/software/programming/pcre/pcre-%version.tar
Source1: pcre-config.1

Patch1: pcre-%version-%release.patch
Patch2: pcre-7.3-deb-alt-shlib.patch

Summary(ru_RU.KOI8-R):     Perl-  

%def_enable utf8
%def_enable cpp
%def_disable compat

%if_enabled compat
%define libname lib%{name}
%else
%define libname lib%{name}3
%endif

BuildRequires: gcc-c++

%package -n %libname
Summary: Perl-compatible regular expression %{?_enable_compat:compatibility }shared library
Summary(ru_RU.KOI8-R):        Perl-
Group: System/Libraries
Provides: %name = %version-%release
Obsoletes: %name

%package -n lib%name-devel
Summary: Perl-compatible regular expressions development environment
Summary(ru_RU.KOI8-R):          PCRE
Group: Development/C
Provides: %name-devel = %version-%release
Obsoletes: %name-devel
Requires: %libname = %version-%release

%package -n lib%name-devel-static
Summary: Perl-compatible regular expressions static library
Summary(ru_RU.KOI8-R):   PCRE   
Group: Development/C
Provides: %name-devel-static = %version-%release
Obsoletes: %name-devel-static
Requires: lib%name-devel = %version-%release

%package -n lib%{name}cpp
Summary: Perl-compatible regular expressions C++ wrapper shared library
Summary(ru_RU.KOI8-R):        Perl-  C++
Group: System/Libraries
Requires: %libname = %version-%release

%package -n lib%{name}cpp-devel
Summary: Perl-compatible regular expressions C++ wrapper development library and header files
Summary(ru_RU.KOI8-R):        C++   PCRE
Group: Development/C
Requires: lib%{name}cpp = %version-%release, lib%name-devel = %version-%release

%description
The PCRE library is a set of functions that implement regular expression
pattern matching using the same syntax and semantics as Perl, with
just a few differences.  The current implementation of PCRE corresponds
approximately with Perl 5.8.

%description -l ru_RU.KOI8-R
 PCRE (Perl-compatible regular expressions) 
      ,   
      
 Perl  5.8.

%description -n %libname
The PCRE library is a set of functions that implement regular expression
pattern matching using the same syntax and semantics as Perl, with
just a few differences.  The current implementation of PCRE corresponds
approximately with Perl 5.8.

This package contains PCRE %{?_enable_compat:compatibility }shared libraries.

%description -n %libname -l ru_RU.KOI8-R
 PCRE (Perl-compatible regular expressions) 
      ,   
      
 Perl  5.8.

      PCRE%{?_enable_compat:,    }.

%description -n lib%{name}cpp
The PCRE library is a set of functions that implement regular expression
pattern matching using the same syntax and semantics as Perl, with
just a few differences.  The current implementation of PCRE corresponds
approximately with Perl 5.8.

This package contains PCRE C++ wrapper shared library.

%description -n lib%{name}cpp -l ru_RU.KOI8-R
 PCRE (Perl-compatible regular expressions)  
     ,    
       Perl
 5.8.

      PCRE  C++.

%description -n lib%name-devel
The PCRE library is a set of functions that implement regular expression
pattern matching using the same syntax and semantics as Perl, with
just a few differences.  The current implementation of PCRE corresponds
approximately with Perl 5.8.

This package contains development libraries, include files and development
documentation required for developing applications which use perl-style
regular expressions.

%description -n lib%name-devel -l ru_RU.KOI8-R
 PCRE (Perl-compatible regular expressions)  
     ,    
       Perl
 5.8.

    :   
,      , 
 PCRE.

%description -n lib%{name}cpp-devel
The PCRE library is a set of functions that implement regular expression
pattern matching using the same syntax and semantics as Perl, with
just a few differences.  The current implementation of PCRE corresponds
approximately with Perl 5.8.

This package contains development libraries, include files and development
documentation required for developing C++ applications which use
perl-style regular expressions.

%description -n lib%{name}cpp-devel -l ru_RU.KOI8-R
 PCRE (Perl-compatible regular expressions)  
     ,    
       Perl
 5.8.

    :   
,        C++,
  PCRE.

%description -n lib%name-devel-static
The PCRE library is a set of functions that implement regular expression
pattern matching using the same syntax and semantics as Perl, with
just a few differences.  The current implementation of PCRE corresponds
approximately with Perl 5.8.

This package contains static development libraries required for developing
statically linked applications which use perl-style regular expressions.

%description -n lib%name-devel-static -l ru_RU.KOI8-R
 PCRE (Perl-compatible regular expressions)  
     ,    
       Perl
 5.8.

       ,
  PCRE.

%prep
%setup -q
%patch1 -p1
%{!?_enable_compat:%patch2 -p1}

%build
# replace with autoreconf after toolchain update.
%undefine __libtoolize
%define docdir %_docdir/%name-%version
%configure --includedir=%_includedir/%name \
	--docdir=%docdir \
	%{subst_enable cpp} \
	%{subst_enable utf8} \
	#
%make_build
%{?!__buildreqs:%{?!_without_check:%{?!_disable_check:%make_build check}}}

%install
%make_install install DESTDIR=%buildroot

# Relocate shared libraries from %_libdir/ to /%_lib/.
mkdir %buildroot/%_lib
for f in %buildroot%_libdir/libpcre{,posix}.so; do
	t=`objdump -p "$f" |awk '$1=="SONAME"{print $2}'`
	[ -n "$t" ]
	ln -sf ../../%_lib/"$t" "$f"
done
mv %buildroot%_libdir/libpcre{,posix}.so.* %buildroot/%_lib/

install -pm644 %_sourcedir/pcre-config.1 %buildroot%_man1dir/

bzip2 -9 %buildroot%docdir/ChangeLog
install -pm644 HACKING pcredemo.c %buildroot%docdir/

rm %buildroot%_bindir/pcregrep
rm %buildroot%_man1dir/pcregrep.*
rm %buildroot%_libdir/*.la

%post   -n %libname -p %post_ldconfig
%postun -n %libname -p %postun_ldconfig

%post   -n lib%{name}cpp -p %post_ldconfig
%postun -n lib%{name}cpp -p %postun_ldconfig

%files -n %libname
/%_lib/libpcre.so.*
/%_lib/libpcreposix.so.*
%dir %docdir
%docdir/[ACLN]*

%if_disabled compat
%files -n lib%name-devel
%_libdir/*.so
%_includedir/pcre
%if_enabled cpp
%exclude %_libdir/libpcrecpp.so
%exclude %_includedir/pcre/pcrecpp*.h
%exclude %_includedir/pcre/pcre_*.h
%endif #cpp
%_bindir/*
%_pkgconfigdir/libpcre.pc
%_man1dir/*
%_man3dir/*
%dir %docdir
%docdir/H*
%docdir/*.c

%if_enabled cpp
%files -n lib%{name}cpp
%_libdir/libpcrecpp.so.*

%files -n lib%{name}cpp-devel
%_libdir/libpcrecpp.so
%dir %_includedir/pcre
%_includedir/pcre/pcrecpp*.h
%_includedir/pcre/pcre_*.h
%_pkgconfigdir/libpcrecpp.pc
%endif #cpp

%files -n lib%name-devel-static
%_libdir/*.a
%endif # disabled compat

%changelog
* Mon Sep 15 2008 Andriy Stepanov <stanv@altlinux.ru> 7.6-alt1.M41.1
- bug #16375

* Sat May 31 2008 Dmitry V. Levin <ldv@altlinux.org> 7.6-alt1.M40.1
- Fixed build for 4.0 branch.

* Tue Feb 12 2008 Dmitry V. Levin <ldv@altlinux.org> 7.6-alt1
- Updated to 7.6 (CVE-2008-0674).

* Tue Jan 15 2008 Dmitry V. Levin <ldv@altlinux.org> 7.5-alt1
- Updated to 7.5.

* Fri Sep 21 2007 Dmitry V. Levin <ldv@altlinux.org> 7.4-alt1
- Updated to 7.4.

* Tue Sep 18 2007 Dmitry V. Levin <ldv@altlinux.org> 7.3-alt1
- Updated to 7.3.

* Sun Jan 14 2007 Dmitry V. Levin <ldv@altlinux.org> 7.0-alt2
- Bump libpcrecpp soname version number to reflect API change.
- Package %_pkgconfigdir/libpcrecpp.pc in libpcrecpp-devel.

* Sat Jan 13 2007 Dmitry V. Levin <ldv@altlinux.org> 7.0-alt1
- Updated to 7.0.

* Sun Sep 24 2006 Dmitry V. Levin <ldv@altlinux.org> 6.7-alt1
- Updated to 6.7.

* Sat Dec 03 2005 Dmitry V. Levin <ldv@altlinux.org> 6.4-alt2
- Relocated shared libraries from %_libdir/ to /%_lib/.
- Merged grep subpackage into devel subpackage.
- Moved pcregrep to grep package.

* Tue Oct 04 2005 Dmitry V. Levin <ldv@altlinux.org> 6.4-alt1
- Updated to 6.4.

* Tue Sep 13 2005 Dmitry V. Levin <ldv@altlinux.org> 6.3-alt1
- Updated to 6.3.
- Updated Debian patches.
- Dropped unused bootstage logic.
- Packaged pcredemo.c (#7720).
- Packaged zpcregrep.
- Packaged C++ bindings in separate subpackages.

* Sun Apr  3 2005 Ilya Evseev <evseev@altlinux.org> 5.0-alt2
- enabled UTF-8 support by default, see bugreport #2030
- added optional bootstage support package, see bugreport #3851

* Tue Mar  8 2005 Ilya Evseev <evseev@altlinux.org> 5.0-alt1
- 5.0
- specfile: added russian summaries/descriptions

* Thu Dec 11 2003 Dmitry V. Levin <ldv@altlinux.org> 4.5-alt1
- Updated to 4.5.
- Removed alt-makefile patch (merged upstream).

* Mon Nov 03 2003 Dmitry V. Levin <ldv@altlinux.org> 4.4-alt1
- Updated to 4.4.
- Changed API, soname and renamed library subpackage to libpcre3.
- Implemented backwards compatibility build mode.
- Reverted back library relocation introduced in 3.4-ipl3mdk.
- Added pcre-config(1) manpage (deb).
- Do not package .la files.
- Updated package descriptions.
- Fixed SMP build.

* Tue Sep 10 2002 Dmitry V. Levin <ldv@altlinux.org> 3.9-alt3
- Fixed lib%name.la

* Sun Sep 01 2002 Dmitry V. Levin <ldv@altlinux.org> 3.9-alt2
- Updated %post/%postun scripts.
- Fixed library symlinks generation.
- Relocated documentation.
- Updated devel-static requirements.

* Mon Jan 14 2002 Dmitry V. Levin <ldv@alt-linux.org> 3.9-alt1
- 3.9

* Mon Nov 19 2001 Dmitry V. Levin <ldv@alt-linux.org> 3.7-alt1
- 3.7
- Created subdirectory for include files.

* Mon Aug 20 2001 Dmitry V. Levin <ldv@altlinux.ru> 3.5-alt1
- 3.5
- Moved static libraries to devel-static subpackage.
- Corrected requires.
- Corrected license info.
- Added pcretest utility to grep subpackage.

* Thu Feb 08 2001 Dmitry V. Levin <ldv@fandra.org> 3.4-ipl4mdk
- Fixed group tag in %name-grep subpackage.
- Libification.

* Wed Dec 13 2000 Dmitry V. Levin <ldv@fandra.org> 3.4-ipl3mdk
- Moved shared libraries from %_libdir to /lib.

* Wed Oct 11 2000 Dmitry V. Levin <ldv@fandra.org> 3.4-ipl2mdk
- Automatically added BuildRequires.

* Thu Aug 24 2000 Dmitry V. Levin <ldv@fandra.org> 3.4-ipl1mdk
- 3.4

* Thu Aug  3 2000 Dmitry V. Levin <ldv@fandra.org> 3.3-ipl1mdk
- 3.3
- Renamed subpackage pgrep --> pcre-grep.

* Wed Jun 28 2000 Dmitry V. Levin <ldv@fandra.org> 3.2-ipl1mdk
- Use FHS-compatible macros.

* Wed May 17 2000 Dmitry V. Levin <ldv@fandra.org>
- 3.2

* Thu Feb 10 2000 Dmitry V. Levin <ldv@fandra.org>
- 3.1

* Thu Dec 12 1999 Dmitry V. Levin <ldv@fandra.org>
- Fandra adaptions

* Fri Nov 05 1999 Arne Coucheron <arneco@online.no>
  [2.08-1]
- using name and version macros
- changed Group to comply with RH 6.x
- using make install
- using install -d instead of mkdir -p
- removing RPM_BUILD_ROOT before installing
- some changes in the files section

* Fri May 28 1999 Damien Miller <dmiller@ilogic.com.au>
- Built RPMs
